            #GIT_CMT=0d3b10edfa7b2cbca95d61a90038ec1dbc090fbe
%global python3_pkgversion %(%{__python3} -c "import sys; sys.stdout.write(sys.version[:3].replace('.', ''))")
# different arches have differnet oracle versions
%ifarch ppc ppc64
%define oracleicver 10.2.0.2
%else
%ifarch ia64
%define oracleicver 10.2.0.3
%else
%define oracleicver 21.1 
%endif
%endif

%define srcversion 8.1
%define odpi_version 4.1.0

Summary: Python interface to Oracle
Name: python%{python3_pkgversion}-cx_Oracle
Version: %{srcversion}.0
Release:    1.0.1.el8
#https://pypi.org/project/cx-Oracle/#files
Source0: cx_Oracle-%{version}.tar.gz

License: BSD License
Group: Development/Libraries
Url: https://github.com/oracle/python-cx_Oracle
AutoReq: 0

BuildRequires: python3 >= 3.6 
BuildRequires: python3-devel
BuildRequires: python3-setuptools >= 40.6.0
BuildRequires: gcc

Requires:  python3 >= 3.6 
Requires:  libclntsh.so  >= %{oracleicver}
Provides:  python(:DBAPI:oracle) = 2.0
Obsoletes: cx_Oracle-12c-py27

%description
cx_Oracle is a Python extension module that enables access to Oracle
Database. It conforms to the Python database API 2.0 specification.  
See https://oracle.github.io/python-cx_Oracle/ for details.


%prep 
%setup -n cx_Oracle-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
python3 setup.py build

%install
python3 setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
sed -i "/cx_Oracle-doc/d" INSTALLED_FILES
rm $RPM_BUILD_ROOT/**/cx_Oracle-doc -rf
%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%doc LICENSE.txt README.txt

%changelog
* Tue Mar 2 2021 Qing Lin <qing.lin@oracle.com> - 8.1.0-1.0.1.el8
- remove old tarballs (Qing Lin)  
- Use combined sources (Qing Lin)  
- update script based DB group input. (Qing Lin)  

* Wed Feb 17 2021 Alan Steinberg <alan.steinberg@oracle.com> - 8.1.0-1.el8
- Updated version of instantclient needed to 21.

* Wed Dec 16 2020 Qing Lin <el-errata_ww@oracle.com> 8.1-1
- Update to 8.1
- Move from svn to linux-git.

* Fri Jun 26 2020 EL Errata <el-errata_ww@oracle.com> 8.0-1
- Update to 8.0
- Python 3.5 or higher is required. [Orabug: 31547319]
- renamed package to python36.
- use libclntsh.so instead of instantclient19.x as dependency.

* Mon Dec 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.3-1
- Update to 7.3

* Tue Oct 01 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.3-1
- Update to 7.2.3

* Mon Aug 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.2-1
- Update to 7.2.2

* Thu Jul 25 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.1-1
- Update to 7.2.1

* Tue Jul 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2-1
- Update to 7.2

* Wed Apr 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.3-1
- Update to 7.1.3

* Tue Mar 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.2-1
- Update to 7.1.2

* Tue Feb 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.1-1
- Update to 7.1.1

* Wed Feb 06 2019 John Mcwalters <john.mcwalters@oracle.com> 7.1-1
- Update to 7.1

* Thu Sep 13 2018 Livy Ge <livy.ge@oracle.com> 7.0-1.0.1
- update oracle-instantclient to 18c

* Thu Sep 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 7.0-1
- Update to 7.0

* Mon Jul 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.4.1-1
- Update to 6.4.1

* Mon Jul 02 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.4-1
- Update to 6.4

* Tue May 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.3.1-1
- Update to 6.3.1

* Thu May 03 2018 Jacob Wang <jacob.wang@oracle.com> 6.3-1
- rebased to latest stable version 6.3

* Mon Jan 29 2018 Keshav Sharma <keshav.sharma@oracle.com> 6.0.2-2
- renamed to python-cx_Oracle

* Tue Sep 19 2017 Keshav Sharma <keshav.sharma@oracle.com> 6.0.2-1
- rebased to latest stable version

* Wed Jun 07 2017 Michael Mraka <michael.mraka@redhat.com> 5.3-1
- rebased to latest stable version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-5
- we need to use the exact oracle instantclient version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-4
- do not require exact version of oracle instantclient
- fixed tito build warning
- replace legacy name of Tagger with new one

* Fri Mar 15 2013 Michael Mraka <michael.mraka@redhat.com> 5.1.2-3
- fixed builder definition

* Mon Oct 22 2012 Michael Mraka
- Use the ReleaseTagger.
- rebuild with correct vendor

* Mon Oct 08 2012 Jan Pazdziora 5.1.2-1
- Rebase to cx_Oracle 5.1.2.

* Mon Oct 08 2012 Jan Pazdziora 5.0.4-2
- Require latest greatest oracle-instantclient11.2-*.
- %defattr is not needed since rpm 4.4

* Fri Jan 07 2011 Jan Pazdziora <jpazdziora@redhat.com> 5.0.4-1
- cx_Oracle 5.0.4 with Oracle InstantClient 11g

